com.singularsys.jep.functions

## Class Subtract

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.BinaryFunction
    - - com.singularsys.jep.functions.Subtract

- All Implemented Interfaces:
    PostfixMathCommandI, RealBinaryFunction, java.io.Serializable
  Direct Known Subclasses:
    BigDecSub

      public class Subtract
      extends BinaryFunction
      implements RealBinaryFunction

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subtract()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
    `double` | `evaluate(double l, double r)`
    `static Complex` | `sub(Complex c1, Complex c2)`
    `static Complex` | `sub(Complex c, java.lang.Number d)`
    `static Complex` | `sub(java.lang.Number d, Complex c)`
    `static java.lang.Double` | `sub(java.lang.Number d1, java.lang.Number d2)`
    `java.lang.Object` | `sub(java.lang.Object param1, java.lang.Object param2)`
    `java.util.Vector<java.lang.Object>` | `sub(java.util.Vector<?> v1, java.util.Vector<?> v2)`

    - ### Methods inherited from class com.singularsys.jep.functions.BinaryFunction

      `run`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Subtract

          public Subtract()

  - ### Method Detail

    - #### eval

          public java.lang.Object eval(java.lang.Object l,
                                       java.lang.Object r)
                                throws EvaluationException

      Specified by:
        `eval` in class `BinaryFunction`
      Throws:
        `EvaluationException`

    - #### sub

          public java.lang.Object sub(java.lang.Object param1,
                                      java.lang.Object param2)
                               throws EvaluationException

      Throws:
        `EvaluationException`

    - #### sub

          public java.util.Vector<java.lang.Object> sub(java.util.Vector<?> v1,
                                                        java.util.Vector<?> v2)
                                                 throws EvaluationException

      Throws:
        `EvaluationException`

    - #### sub

          public static java.lang.Double sub(java.lang.Number d1,
                                             java.lang.Number d2)

    - #### sub

          public static Complex sub(Complex c1,
                                    Complex c2)

    - #### sub

          public static Complex sub(Complex c,
                                    java.lang.Number d)

    - #### sub

          public static Complex sub(java.lang.Number d,
                                    Complex c)

    - #### evaluate

          public double evaluate(double l,
                                 double r)

      Specified by:
        `evaluate` in interface `RealBinaryFunction`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep